Kindly MD, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/kindly-md-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://feeds.issuerdirect.com/news-release.html?newsid=6802077673637011&symbol=KDLY,NAKA",
    "holding_balance": 5342.0,
    "holding_net_change": -56.0,
    "transaction_value_usd": 4899511.68,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774915200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://app.quotemedia.com/data/downloadFiling?webmasterId=102691&type=HTML&cdn=7145fa86dee140abf26e7474a968a65d&formType=10-K&formDescription=Annual+report+pursuant+to+Section+13+or+15(d)&dateFiled=2026-03-30&cik=0001946573",
    "holding_balance": 5058.0,
    "holding_net_change": -284.0,
    "transaction_value_usd": 19359317.24,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1781136000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://nakamoto.com/updates/nakamoto-strengthens-capital-structure-through-debt-reduction-refinancing-and-share-repurchase-authorization",
    "holding_balance": 4467.0,
    "holding_net_change": -591.0,
    "transaction_value_usd": 37539132.09,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    4467.0
  ],
  [
    1790899200000,
    4467.0
  ],
  [
    1790985600000,
    4467.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    373205163.72
  ],
  [
    1790899200000,
    378724901.61
  ],
  [
    1790985600000,
    377446312.2
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 9.42,
    "date": "2026-09-30",
    "high": 10.12,
    "open": 9.98,
    "close": 9.46,
    "volume": 107514
  },
  {
    "low": 9.08,
    "date": "2026-10-01",
    "high": 9.63,
    "open": 9.44,
    "close": 9.11,
    "volume": 143010
  },
  {
    "low": 9.42,
    "date": "2026-10-02",
    "high": 10.345,
    "open": 9.51,
    "close": 9.66,
    "volume": 361554
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.415,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.605
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 25.78,
  "six_month_return": 10.78,
  "three_month_return": 139.11
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kindly-md-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 218.3,
  "total_btc_percentage": 0.021,
  "share_price_change_state": "down"
}